#include <string.h>
#include "deftype.h"

void WildCut(unchar *name,int len)
// ファイル名もしくは拡張子中の後ろの連続する?を、変換出来る時*に変換する
{
int ln,cnt=0;
	// 変換出来る条件
	// name?????????	->	name*
	// ~~~~~~~~~~~~~この長さがlenである
	ln=strlen(name);
	if (ln==len) {
		while (--ln>=0) {
			if (name[ln]!='?') break;
			cnt++;
		}
		if (cnt>0) {
			name[ln+1]='*';
			name[ln+2]=0;
		}
	}
}
